Skip to main content
GET
Get program points-earnings daily report

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).

Pattern: ^lprg_[a-f0-9]+$

Query Parameters

start_date
string<date>
required

Start of the report date range (inclusive), in YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
end_date
string<date>
required

End of the report date range, in YYYY-MM-DD format. Must be after start_date.

Pattern: ^\d{4}-\d{2}-\d{2}$
resolution
enum<string>
required

Aggregation resolution of the report. The allowed date range depends on the resolution: day — max 90 days, week — max 12 weeks, month — max 12 months, quarter — max 4 quarters.

Available options:
day,
week,
month,
quarter
filters
object

Field filters. Each field accepts a conditions object with condition operators. Filters for program points-earnings reports.

Response

Program points-earnings daily report.

Program points-earnings daily report result.

data
object[]

Report entries, one per aggregation period, earning rule, earning item, and card definition.

object
string

Object type marker. Always report.

Allowed value: "report"
Last modified on August 4, 2026